/********************************************************************
 * Copyright © 2005 VHA. All rights reserved
 ********************************************************************/


package gov.va.med.esr.service.external.person;

/**
 * Initial javadoc for class EntityKeyFactory.
 * TODO - Add content here
 * 
 * Created Dec 23, 2005 10:56:14 AM
 * @author DNS   BOHMEG
 */
public class EntityKeyFactory {
	public static VPIDEntityKey createVPIDEntityKey(String vpid) {
		return new VPIDEntityKeyImpl(vpid);
	}

	public static VPIDEntityKey createDeprecatedVPIDEntityKey(String vpid) {
		return new VPIDEntityKeyImpl(vpid, true);
	}
	
	public static EntityKey createEntityKey(String key) {
		return new EntityKeyImpl(key);
	}
}
